Bug 147960 - feature request for gnome desktop environment
feature request for gnome desktop environment
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-desktop (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mark McLoughlin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-13 22:22 EST by morgan read
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-22 07:30:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description morgan read 2005-02-13 22:22:57 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-GB; rv:1.7.3)
Gecko/20040922

Description of problem:
Hi,
Hope this is the right place to put this... idea... feature request...
May be gnome bugzilla?

Seems to me one, of the most impenetrable features of linux to the new
user (as one) is the arcane (to the new user anyway) naming
conventions of the file system.  I think I'm supported in this view by
Apple's (& Lindows?) decision to provide a new nomenclature for their nix.

I notice that gnome provides to all it's file/directory icons, within
the properties dialogue (right click on icons) a "Notes" tab.  When a
note is written it displays a little pined note icon over the
file/directory icon.

I also notice that all the icons in the red-hat menu & panel have
helpful little pop-up descriptions about themselves.

What if...
All the "Notes" tabs were pre-populated with helpful explanations of
what each element of the file system was/meant?  And, those
pre-populated "Notes" popped-up with theses descriptions when the
cursor was moved over them.  Perhaps "Notes" to be displayed in such a
way could by identified by starting the line with some specific
commenting symbol - may be "*" if its note used for something already.

Then, for example, when a new user dragged their cursor over the
directory named "bin" instead of thinking it was the shorthand for
rubbish bin, they would see a pop-up that explained it was short hand
for binary files and binary files are executable...  You get my drift.

This way, the new user gets to educate themselves about the arcane
(honestly) nomenclature used in the linux file system as they use it.
 When they've learnt all they want to know about, they just
remove/uncomment/replace the text from the "Notes" tab of the
"Properties" dialogue.

Just an idea.

Let me know if it might be more useful somewhere else (within reason).

Regards,
Morgan.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.na Always
2.na
3.na
    

Actual Results:  Happiness

Expected Results:  na

Additional info:

na
Comment 1 Mark McLoughlin 2005-02-22 07:30:31 EST
Yeah, Red Hat bugzilla isn't the appropriate place for suggestions
like this. Try gnome-list@gnome.org

Note You need to log in before you can comment on or make changes to this bug.